## heat-dashboard 9.0.0

=== debian/changelog ===
heat-dashboard (9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:12:48 -0400

heat-dashboard (9.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * d/bundle-xstatic.sh: Create build-area directory if it doesn't exist.
  * Refresh xstatic assets.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:20:46 -0500

heat-dashboard (8.0.0+git2023011009.fa9efec7-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:47:28 -0500

heat-dashboard (8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x.
  * New upstream release for OpenStack Zed.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:49:28 -0400

heat-dashboard (7.0.0+git2022091214.126c5e9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * Refresh xstatic assets.
  * d/p/urlunquote-is-removed-in-4.0.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:47:20 -0400

heat-dashboard (7.0.0+git2022071816.d20a335-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * Refresh xstatic assets.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/urlunquote-is-removed-in-4.0.patch: Cherry-pick patch to deal with
    removal of urlunquote().

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:08:53 -0400

heat-dashboard (7.0.0+git2022060209.59c7b03-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/*: Rebased.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:34:36 -0400

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-doc8 (>= 0.6.0),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-selenium (>= 2.50.1),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Homepage: https://opendev.org/openstack/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-heat-dashboard
Architecture: all
Depends:
 heat-dashboard-common (= ${source:Version}),
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-heatclient (>= 1.10.0),
 python3-pbr (>= 5.5.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - Python 3 dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

Package: heat-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Replaces:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Description: OpenStack orchestration service - Common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains common files.

## heat-dashboard 9.0.0+git2023061415.dcaa644b

=== debian/changelog ===
heat-dashboard (9.0.0+git2023061415.dcaa644b-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:01:24 -0400

## heat-dashboard 10.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
#
# PBR should always appear first
pbr>=5.5.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0

# This will be installed from git in OpenStack CI if the job setting
# required-projects for horizon:
horizon>=22.0.0 # Apache-2.0

xstatic-angular-uuid>=0.0.4.0 # MIT
xstatic-angular-vis>=4.16.0.0 # MIT
xstatic-filesaver>=1.3.2.0 # MIT
xstatic-js-yaml>=3.8.1.0 # MIT
xstatic-json2yaml>=0.1.1.0 # MIT

=== debian/changelog ===
heat-dashboard (10.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 16:14:59 +0000

heat-dashboard (10.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:55:18 -0400

heat-dashboard (9.0.0+git2023090714.9f0b3348-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * d/control: Ensure min version of horizon to fix test failures with
    Django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:18:49 -0400

## heat-dashboard 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-# Requirements lower bounds listed here are our best effort to keep them up to
-# date but we do not test them so no guarantee of having them all correct. If
-# you find any incorrect lower bounds, let us know or propose a fix.
-#
-# PBR should always appear first
 pbr>=5.5.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0

=== debian/changelog ===
heat-dashboard (11.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:09:38 +0100

heat-dashboard (11.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 08:49:07 +0000

heat-dashboard (10.0.0+git2024011916.dd046e42-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:42:07 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
  python3-coverage (>= 4.0),
  python3-django (>= 2:2.2),
  python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
@@ -45,7 +45,7 @@
 Architecture: all
 Depends:
  heat-dashboard-common (= ${source:Version}),
- openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
  python3-django (>= 2:2.2),
  python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-heatclient (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

export PYBUILD_NAME=heat-dashboard

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		INTEGRATION_TESTS=0 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
		python3-coverage run --source=heat_dashboard \
		$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files - Python 3
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies
	cp $(CURDIR)/heat_dashboard/conf/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/default_policies/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies

	# Install xstatic dependencies
	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat-dashboard-(\d.*)\.tar\.gz

## heat-dashboard 12.0.0~rc1

=== debian/changelog ===
heat-dashboard (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:15:21 +0200

heat-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on horizonn >= 3:25.0.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 12:37:33 +0200

heat-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:56:47 +0200

heat-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fix clean.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 15:04:07 +0100

heat-dashboard (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:49:04 +0200

heat-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 15:50:51 +0200

heat-dashboard (9.0.0-4) unstable; urgency=medium

  * Removed build-depends on python3-openstack.nose-plugin.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 11:27:52 +0200

heat-dashboard (9.0.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044239).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 15:03:47 +0200

heat-dashboard (9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:21:48 +0200

heat-dashboard (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:22:25 +0100

heat-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Switch to debhelper 11.
  * Up standards-version to 4.6.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:24:03 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf *.egg-info
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf/heat_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/heat_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## heat-dashboard 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # This will be installed from git in OpenStack CI if the job setting
 # required-projects for horizon:
-horizon>=22.0.0 # Apache-2.0
+horizon>=25.0.0 # Apache-2.0
 
 xstatic-angular-uuid>=0.0.4.0 # MIT
 xstatic-angular-vis>=4.16.0.0 # MIT

=== debian/changelog ===
heat-dashboard (12.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 16:00:39 +0000

heat-dashboard (12.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090417).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:57:34 +0100

heat-dashboard (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:58:37 +0200

## heat-dashboard 13.0.0~rc1

=== debian/changelog ===
heat-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:52:47 +0100

heat-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2025 18:18:53 +0100

## heat-dashboard 13.0.0

=== debian/changelog ===
heat-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:08:21 +0200

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:25.0.0),
 python3-heatclient,
 python3-selenium,
 python3-testtools,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 python3-xvfbwrapper,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/heat-dashboard.git
Homepage: https://opendev.org/openstack/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:25.0.0),
 python3-heatclient,
 python3-pbr,
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
 	dh_clean

## heat-dashboard 13.0.0+git2025070714.ea77aba

=== debian/changelog ===
heat-dashboard (13.0.0+git2025070714.ea77aba-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * Refresh xstatic assets.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/embedded-xstatic.patch: Refresh.
  * Flamingo feature freeze exception (LP: #2121258)
  * d/p/django-datetime-compat.patch: Import patch from upstream.
    Fixes deprecated django.utils.datetime_safe in Django 5.
  * d/p/django5-session-serializer.patch: Add patch for PickleSerializer
    deprecation in Django 5. Force JSON for tests.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 07 Aug 2025 15:46:34 -0700

heat-dashboard (13.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.
  * Repackaging xstatic assets tarball (no change) for the Epoxy upload.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 18:24:11 +0200

heat-dashboard (12.0.0+git2025030311.21a79fe-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 11:55:53 +0000

heat-dashboard (12.0.0+git2025011511.21a79fe-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2025 14:42:38 +0000

heat-dashboard (12.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:23:31 +0100

heat-dashboard (12.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * Refresh xstatic assets.

  [ Myles Penner ]
  * New upstream release candidate for OpenStack Dalmatian

 -- Myles Penner <myles.penner@canonical.com>  Mon, 30 Sep 2024 08:35:27 +0100

heat-dashboard (11.0.0+git2024080809.3070b2c8-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
    - Refresh xstatic assets.

 -- Jadon Naas <jadon.naas@canonical.com>  Tue, 13 Aug 2024 21:38:06 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat_dashboard-(13\.\d.*)\.tar\.gz

## heat-dashboard 14.0.0~rc1

=== debian/changelog ===
heat-dashboard (14.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:02:29 +0000

heat-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:47:42 +0200

heat-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 08:47:45 +0200

## heat-dashboard 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 pbr>=5.5.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
heat-dashboard (14.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * Refresh xstatic assets.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 11:20:28 -0700

heat-dashboard (14.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * django-datetime-compat.patch: Drop patch applied upstream.
  * Refresh xstatic assets.
  * Refresh xstatic assets.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 15:16:21 -0700

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:25.0.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-selenium (>= 2.50.1),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Homepage: https://opendev.org/openstack/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-heat-dashboard
Architecture: all
Depends:
 heat-dashboard-common (= ${source:Version}),
 openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:25.0.0),
 python3-heatclient (>= 1.10.0),
 python3-pbr (>= 5.5.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - Python 3 dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

Package: heat-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Replaces:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Description: OpenStack orchestration service - Common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=heat-dashboard

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		INTEGRATION_TESTS=0 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
		python3-coverage run --source=heat_dashboard \
		$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files - Python 3
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies
	cp $(CURDIR)/heat_dashboard/conf/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/default_policies/*.yaml $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf/default_policies

	# Install xstatic dependencies
	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat-dashboard/ heat_dashboard-(\d{1,2}\.\d.*)\.tar\.gz

## heat-dashboard 14.0.0+git2026012908.fbba593

=== debian/changelog ===
heat-dashboard (14.0.0+git2026012908.fbba593-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * Refresh xstatic assets.
  * d/bundle-xstatic.sh: Remove auto-extract and auto-commit; script now
    only creates the tarball for use with gbp import-orig.
  * d/gbp.conf: Add component=xstatic to [import-orig] and [buildpackage]
    sections.
  * d/README.source: Document xstatic component tarball workflow.
  * New upstream release for OpenStack Gazpacho (LP: #2137590).

 -- Myles Penner <myles.penner@canonical.com>  Thu, 29 Jan 2026 09:14:14 -0800
